## slwildcard 0.4.0

=== Makefile ===
#---------------------------------------------------------------------------
# Installation Directories
#---------------------------------------------------------------------------
prefix = /usr/local
exec_prefix = ${prefix}
MODULE_INSTALL_DIR = ${exec_prefix}/lib/slang/v2/modules
SL_FILES_INSTALL_DIR = ${prefix}/share/slsh/local-packages
HLP_FILES_INSTALL_DIR = $(SL_FILES_INSTALL_DIR)/help

#---------------------------------------------------------------------------
# DESTDIR is designed to facilitate making packages.  Normally it is empty
#---------------------------------------------------------------------------
DESTDIR =
DEST_MODULE_INSTALL_DIR = $(DESTDIR)$(MODULE_INSTALL_DIR)
DEST_SL_FILES_INSTALL_DIR = $(DESTDIR)$(SL_FILES_INSTALL_DIR)
DEST_HLP_FILES_INSTALL_DIR = $(DESTDIR)$(HLP_FILES_INSTALL_DIR)

#---------------------------------------------------------------------------
# Location of the S-Lang library and its include file
#---------------------------------------------------------------------------
SLANG_INC	= -I/usr/local/include
SLANG_LIB	= -L/usr/local/lib -lslang

#---------------------------------------------------------------------------
# C Compiler to create a shared library
#---------------------------------------------------------------------------
CC_SHARED 	= $(CC) $(CFLAGS) -shared -fPIC

#---------------------------------------------------------------------------
# Misc Programs required for installation
#---------------------------------------------------------------------------
INSTALL		= /usr/bin/install -m 644
MKINSDIR        = /usr/bin/install -d
#---------------------------------------------------------------------------
# You shouldn't need to edit anything below this line
#---------------------------------------------------------------------------

LIBS = $(SLANG_LIB) -lm
INCS = $(SLANG_INC)

all: wildcard-module.so

wildcard-module.so: wildcard.c
	$(CC_SHARED) $(INCS) wildcard.c -o wildcard-module.so $(LIBS)

wildcard.o: wildcard.c
	gcc $(CFLAGS) $(INCS) -O2 -c -g wildcard.c -o wildcard.o

clean:
	rm -f wildcard-module.so *.o

#---------------------------------------------------------------------------
# Installation Rules
#---------------------------------------------------------------------------
install_directories:
	$(MKINSDIR) $(DEST_MODULE_INSTALL_DIR)
	$(MKINSDIR) $(DEST_SL_FILES_INSTALL_DIR)

install_modules:
	$(INSTALL) wildcard-module.so $(DEST_MODULE_INSTALL_DIR)
install_slfiles:
	$(INSTALL) wildcard.sl $(DEST_SL_FILES_INSTALL_DIR)

install: all install_directories install_modules install_slfiles

## slwildcard 0.5.0

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 #---------------------------------------------------------------------------
 # C Compiler to create a shared library
 #---------------------------------------------------------------------------
-CC_SHARED 	= $(CC) $(CFLAGS) -shared -fPIC
+CC_SHARED 	= $(CC) $(CFLAGS) -shared -Wall -fPIC
 
 #---------------------------------------------------------------------------
 # Misc Programs required for installation

=== debian/changelog ===
slwildcard (0.5.0-7) unstable; urgency=medium

  * Adopt package (Closes: #748269)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 02 Dec 2021 12:20:27 -0300

slwildcard (0.5.0-6) unstable; urgency=medium

  * QA upload.

  * d/control: Drop versioned constraint on jed and slrn in Suggests
  * d/u/metadata: New file
  * d/p/honor-cppflags-ldflags.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 20 Nov 2021 06:54:21 -0300

slwildcard (0.5.0-5) unstable; urgency=medium

  * QA upload.

  * d/rules: Prevent parallel building

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 Sep 2021 14:41:47 -0300

slwildcard (0.5.0-4) unstable; urgency=medium

  * QA upload.

  * Create Git repository at Salsa.debian.org.
    The Git repository was created with "gbp import-dscs --debsnap",
    instead of doing archeological work in the Alioth archives. The layout
    of the repository follows the recommendation in DEP-14.
  * d/s/format: Use source format 3.0 (quilt)
  * Bump debhelper compatibility level to 13
    + d/control: Set dependency on debhelper-compat = 13
    + d/compat: Drop file
  * Switch from CDBS to debhelper
    + d/control: Drop the build-dependencies on cdbs
    + d/rules: Use the dh sequencer
  * d/control:
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Add Rules-Requires-Root: no
  * d/copyright: Convert to DEP-5 format
  * d/watch: Bump version to 4 (no changes)
  * d/s/lintian-overrides: Override "non secure URI" warning

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Sep 2021 06:21:52 -0300

slwildcard (0.5.0-3) unstable; urgency=medium

  * QA (group) upload
  * d/control:
    + Remove myself from the Uploaders list (closes: #571882)
    + Set Maintainer to Debian QA Group (orhpaned package)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 16 Jul 2016 16:50:28 -0300

slwildcard (0.5.0-2) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes needed)
    + The package is now maintained with Git at alioth.debian.org.  Add
      Vcs-Git field and change Vcs-Browser accordingly.
    + Fix Lintian warning debhelper-but-no-misc-depends
    + Bump build dependency on debhelper to >= 7
  * debian/compat: Set compatibility level of debhelper to 7

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 26 Apr 2009 11:13:31 +0200

slwildcard (0.5.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Append trunk/ to the path in Vcs-Svn:, such that debcheckout works
    + Bumped Standards-Version to 3.8.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 21 Jun 2008 17:02:30 +0200

slwildcard (0.4.0-2) unstable; urgency=low

  * debian/control:
    + Added Homepage field
    + Use the now official Vcs-* fields instead of the obsolete XS-Vcs-*
    + Dropped the Homepage pseudo-header from the extended description
    + Bumped Standards-Version to 3.7.3

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 16 Dec 2007 00:24:27 +0100

slwildcard (0.4.0-1) unstable; urgency=low

  * First official release to unstable (closes: #440263, #440398)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 01 Sep 2007 09:54:04 +0200

slwildcard (0.4.0-1~pre1) unstable; urgency=low

  * Initial pre-release

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 31 Aug 2007 13:32:13 +0200

Local Variables:
eval: (add-local-hook
  'debian-changelog-add-version-hook
  (lambda ()
    (save-excursion
      (forward-line -1)
      (beginning-of-line)
      (insert "\n   [ "
        (or (getenv "DEBFULLNAME") (user-full-name)) "]"))))
End:

=== debian/control ===
Source: slwildcard
Section: interpreters
Priority: optional
Maintainer: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               libslang2-dev (>= 2.0.4-6)
Standards-Version: 4.6.0
Homepage: http://www.cheesit.com/downloads/slang/slwildcard.html
Vcs-Git: https://salsa.debian.org/debian/slwildcard.git
Vcs-Browser: https://salsa.debian.org/debian/slwildcard
Rules-Requires-Root: no

Package: slang-wildcard
Architecture: any
Depends: ${misc:Depends},  ${shlibs:Depends}
Suggests: slsh (>= 2.0) | jed | slrn
Description: adds a wildcard match function to S-Lang
 The S-Lang module contained in this package provides a
 wildcard_match() function to S-Lang. It's vectorized, so it should be
 faster than an array_map(&string_match, ... ).  This module can be
 used in slsh (the S-Lang shell), in the JED editor, and in the news
 reader slrn.

=== debian/watch ===
version=4
http://www.cheesit.com/downloads/slang/slwildcard.html	\
	.*/slwildcard-([\d.]+).tgz
